ie9无法正常使用TinyMCE 编辑器

Life is short , play more!
本文来自lihao's Blog,转载请注明。

joolma 默认使用TinyMCE编辑器, 但由于平时很少使用ie,所以现在才发现ie9使用TinyMCE进行编辑文章时,始终有莫名奇妙的问题. jsscirpt脚本工作严重不正常.

http://www.e-berzerk.com/opensoft/joomla_tinymce3/ 这个网站有tinymce3.0的插件包,但安装后, 该编辑器实际没有生效,选择3.0后,实际和noeditor一样. 由于没有现成的3.4的插件,手动升级困难较大,所以暂时搁置该问题.

经过查找资料,大部分人都认为是ie9的问题导致地.ie9 怎么做的越来越不兼容, 为什么safari,firefox都能正常工作的js脚本,到ie9 就不行了. 据其他网友说,ie8 是没有问题的.

现在的问题, 似乎只能手动进行修复bug,但由于风险较大,之后会被备份后进行fix. 具体fix的步骤见该blog,该网友提供了较详细的步骤. 基本上是在js的会导致ie9出问题的函数里,全部加上if(ie)的分支,防止ie9出错.

修改具体详见(该网友针对此问题发了2次文章):

http://daveymorris.co.uk/web-development/tinymce-and-internet-explorer-9/

http://daveymorris.co.uk/web-development/tinymce-and-internet-explorer-9-fix-again/

附上其他网友关于joolma的tinymce 无法在ie9工作的问题讨论:

http://forum.joomla.org/viewtopic.php?p=2501414


发表评论

电子邮件地址不会被公开。 必填项已用*标注